Bug 120661 - radeon card using vesa driver with 2.6 kernel dies in xfree86
radeon card using vesa driver with 2.6 kernel dies in xfree86
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-04-12 15:11 EDT by David G. Mackay
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-29 16:19:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David G. Mackay 2004-04-12 15:11:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
I recently install FC2-test2 and encountered this problem, so I
dropped back to FC1-release.  I have a Sony Vaio PCG-FRV25 which uses
an ATI Radeon IGP 340M video controller.  Both the FC2-test2 and
FC1-release generated the XF86Config file with a vesa driver for the
card.  The system worked with FC1-release up until I installed
kernel-2.6.5-1.319 from Arjan's repository via yum install kernel.

As soon as X starts (the first chvt in rc.sysinit), all disk activity
ceases, and the screen blanks.  The system has frozen, and must be
power cycled to recover.

When I change the video driver to radeon in XF96Config, it works again.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Use 2.6.x kernel
2.Use vesa driver in XF86Config for ATI Radeon IGP340M chip
3.Start X

Actual Results:  System locks up at first chvt in rc.sysinit

Expected Results:  Successful X initialization

Additional info:

Easily bypassed, but it would be nice if the initial setup generated
an XF86Config with the driver set as radeon.
Comment 1 David Lawrence 2004-09-29 16:19:08 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.